QCA::TokenAsker Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::TokenAsker:
[legend]

## Signals

void | responseReady ()

## Public Member Functions

bool | accepted () const
void | ask (const KeyStoreInfo &keyStoreInfo, const KeyStoreEntry &keyStoreEntry, void *ptr)
void | cancel ()
| TokenAsker (QObject *parent=nullptr)
void | waitForResponse ()

## Friends

class | Private

## Detailed Description

User token handler.

This class is used to request the user to insert a token.

Examples
  eventhandlerdemo.cpp.

## Constructor & Destructor Documentation

## TokenAsker()

QCA::TokenAsker::TokenAsker | ( | QObject * | parent = nullptr | ) |

Construct a new asker.

Parameters

  parent | the parent object for this QObject

References TokenAsker().

Referenced by responseReady(), and TokenAsker().

## Member Function Documentation

## ask()

void QCA::TokenAsker::ask | ( | const KeyStoreInfo & | keyStoreInfo,
|  | const KeyStoreEntry & | keyStoreEntry,
|  | void * | ptr )

queue a token request associated with a key store

Parameters

  keyStoreInfo | info of the key store that the information is required for
  keyStoreEntry | the item in the key store that the information is required for (if applicable)
  ptr | opaque data

Examples
  eventhandlerdemo.cpp.

## cancel()

void QCA::TokenAsker::cancel | ( |  | ) |

Cancel the pending password / passphrase request.

## waitForResponse()

void QCA::TokenAsker::waitForResponse | ( |  | ) |

Block until the token request is completed.

You can use the responseReady signal instead of blocking, if appropriate.

Examples
  eventhandlerdemo.cpp.

## accepted()

bool QCA::TokenAsker::accepted | ( |  | ) | const

Test if the token request was accepted or not.

Returns
  true if the token request was accepted

Examples
  eventhandlerdemo.cpp.

## responseReady

void QCA::TokenAsker::responseReady | ( |  | ) |

signal

Emitted when the asker process has been completed.

You should check whether the user accepted() the response prior to relying on token being present.

References TokenAsker().

The documentation for this class was generated from the following file:

- qca_core.h